@echo off

rem -----------------------------------------------------------------
rem   Fuer alle .hgt-Dateien im Verzeichnis werden
rem   .gpx-Dateien erstellt, welche die .hgt-Datei umrahmen.
rem   In der Mitte wird ein Wegpunkt mit dem Namen der .hgt-Datei erzeugt.
rem   Die .gpx-Dateien werden im Verzeichnis "gpx" abgespeichert.
rem
rem   peter@danninger.eu                                07.06.2021
rem -----------------------------------------------------------------

rem Verzeichnis fuer .gpx-Dateien
set GPX=gpx

echo.
echo Fuer alle .hgt-Dateien im Verzeichnis werden
echo .gpx-Dateien erstellt, welche .hgt-Datei umrahmen.
echo In der Mitte wird ein Wegpunkt mit dem Namen der .hgt-Datei erzeugt.
echo Die .gpx-Dateien werden im Verzeichnis ^"%GPX%^" abgespeichert.
echo.

pause

setlocal enabledelayedexpansion

for /r %%i in (*.hgt) do (
  echo %%~ni.hgt
  call hgt2gpx.bat %%~ni.hgt %GPX%
  rem echo ERRORLEVEL: %ERRORLEVEL% && pause
)

endlocal

echo.
echo Die .gpx-Dateien befinden sich im Verzeichnis ^"%GPX%^"
echo.
pause
